/**
* DevExtreme (renovation/error-message.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare const viewFunction: ({ props: { className, message }, restAttributes }: ErrorMessage) => any;
export declare type ErrorMessagePropsType = {
    className?: string;
    message?: string;
};
export declare const ErrorMessageProps: ErrorMessagePropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface ErrorMessage {
    props: typeof ErrorMessageProps & RestProps;
    restAttributes: RestProps;
}
export default function ErrorMessage(props: typeof ErrorMessageProps & RestProps): any;
export {};
