/**
* DevExtreme (renovation/icon.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare const viewFunction: ({ cssClass, props: { source }, sourceType }: Icon) => any;
export declare type IconPropsType = {
    position?: string;
    source?: string;
};
export declare const IconProps: IconPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface Icon {
    props: typeof IconProps & RestProps;
    sourceType: any;
    cssClass: any;
    restAttributes: RestProps;
}
export default function Icon(props: typeof IconProps & RestProps): any;
export {};
