/**
* DevExtreme (renovation/number-box.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { WidgetProps } from "./widget.p";
export declare const viewFunction: ({ restAttributes, widgetRef }: NumberBox) => any;
export declare type NumberBoxPropsType = typeof WidgetProps & {
    invalidValueMessage?: string;
    max?: number;
    min?: number;
    mode?: "number" | "text" | "tel";
    showSpinButtons?: boolean;
    step?: number;
    useLargeSpinButtons?: boolean;
    value?: number;
    valueChange?: ((value: number) => void);
    defaultValue?: number;
};
export declare const NumberBoxProps: NumberBoxPropsType;
export declare type NumberBoxRef = {
    getHtmlElement: () => HTMLDivElement;
};
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface NumberBox {
    props: typeof NumberBoxProps & RestProps;
    widgetRef: any;
    restAttributes: RestProps;
}
declare const NumberBox: any;
export default NumberBox;
