/**
* DevExtreme (renovation/pager/page-size-selector.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { FullPageSize } from "./pager.types.d";
export declare const PAGER_PAGE_SIZES_CLASS = "dx-page-sizes";
export declare const viewFunction: ({ htmlRef, normalizedPageSizes, props: { isLargeDisplayMode, pageSize, pageSizeChange, rtlEnabled } }: PageSizeSelector) => any;
declare type PageSize = number;
export declare type PageSizeSelectorPropsType = {
    isLargeDisplayMode?: boolean;
    pageSize?: number;
    pageSizes?: PageSize[];
    rtlEnabled?: boolean;
    pageSizeChange: (pageSize: number) => void;
};
export declare const PageSizeSelectorProps: PageSizeSelectorPropsType;
export declare type PageSizeSelectorRef = {
    getHtmlElement: () => HTMLElement;
};
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface PageSizeSelector {
    props: typeof PageSizeSelectorProps & RestProps;
    htmlRef: any;
    normalizedPageSizes: FullPageSize[];
    restAttributes: RestProps;
}
declare const PageSizeSelector: any;
export default PageSizeSelector;
