/**
 * DevExtreme (renovation/pager/pager-props.p.js)
 * Version: 20.2.0 (build 20182-0310)
 * Build date: Tue Jun 30 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _message = require("../../localization/message");
var _message2 = _interopRequireDefault(_message);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var PagerProps = {
    showInfo: false,
    infoText: _message2.default.getFormatter("dxPager-infoText")(),
    lightModeEnabled: false,
    maxPagesCount: 10,
    pageCount: 10,
    pagesCountText: _message2.default.getFormatter("dxPager-pagesCountText")(),
    visible: true,
    pagesNavigatorVisible: "auto",
    showPageSizes: true,
    pageSizes: [5, 10],
    rtlEnabled: false,
    showNavigationButtons: false,
    totalCount: 0,
    defaultPageIndex: 0,
    pageIndexChange: function() {},
    defaultPageSize: 5,
    pageSizeChange: function() {}
};
exports.default = PagerProps;
