/**
* DevExtreme (renovation/pager/pager.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import PagerProps from "./pager-props.p";
export declare const viewFunction: ({ pageIndexChange, pageSizeChange, props }: Pager) => any;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface Pager {
    props: typeof PagerProps & RestProps;
    pageIndexChange: (newPageIndex: number) => void;
    pageSizeChange: (newPageSize: number) => void;
    restAttributes: RestProps;
}
export default function Pager(props: typeof PagerProps & RestProps): any;
export {};
