/**
* DevExtreme (renovation/pager/pages-small.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare const viewFunction: ({ pageIndexRef, props: { pageCount, pagesCountText, rtlEnabled }, selectLastPageIndex, value, valueChange, width }: PagesSmall) => any;
export declare type PagesSmallPropsType = {
    pageCount?: number;
    pageIndex?: number;
    pagesCountText?: string;
    rtlEnabled?: boolean;
    pageIndexChange?: (pageIndex: number) => void;
};
export declare const PagesSmallProps: PagesSmallPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface PagesSmall {
    props: typeof PagesSmallProps & RestProps;
    minWidth: any;
    pageIndexRef: any;
    value: number;
    width: number;
    selectLastPageIndex: () => void;
    valueChange: (value: number) => void;
    restAttributes: RestProps;
}
export default function PagesSmall(props: typeof PagesSmallProps & RestProps): any;
export {};
