/**
* DevExtreme (renovation/scheduler/appointment-tooltip/marker.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { DeferredColor, Color } from "./types.p";
export declare const viewFunction: (viewModel: Marker) => any;
export declare type MarkerPropsType = {
    color?: DeferredColor;
    className?: string;
};
export declare const MarkerProps: MarkerPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface Marker {
    props: typeof MarkerProps & RestProps;
    appointmentColor: Color;
    style: any;
    restAttributes: RestProps;
}
export default function Marker(props: typeof MarkerProps & RestProps): any;
export {};
