/**
* DevExtreme (renovation/utils/base-props.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare type BaseWidgetPropsType = {
    accessKey?: string | null;
    activeStateEnabled?: boolean;
    disabled?: boolean;
    focusStateEnabled?: boolean;
    height?: string | number | (() => (string | number));
    hint?: string;
    hoverStateEnabled?: boolean;
    onClick?: (e: any) => void;
    onContentReady?: (e: any) => any;
    onKeyDown?: (e: any) => any;
    rtlEnabled?: boolean;
    tabIndex?: number;
    visible?: boolean;
    width?: string | number | (() => (string | number));
};
declare const BaseWidgetProps: BaseWidgetPropsType;
export default BaseWidgetProps;
