/**
* DevExtreme (renovation/pager/info.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare const PAGER_INFO_CLASS = "dx-info";
export declare const viewFunction: ({ htmlRef, text }: InfoText) => any;
export declare type InfoTextPropsType = {
    infoText?: string;
    pageCount?: number;
    pageIndex?: number;
    totalCount?: number;
};
export declare const InfoTextProps: InfoTextPropsType;
export declare type InfoTextRef = {
    getHtmlElement: () => HTMLElement;
};
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface InfoText {
    props: typeof InfoTextProps & RestProps;
    htmlRef: any;
    text: string;
    restAttributes: RestProps;
}
declare const InfoText: any;
export default InfoText;
