/**
* DevExtreme (renovation/pager/light-button.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
declare type dxClickEffectFn = (HTMLDivElement: any, Function: any) => (() => void);
declare type closestFn = (HTMLDivElement: any, string: any) => HTMLElement | null;
export declare const dxClickEffect: dxClickEffectFn;
export declare const closest: closestFn;
export declare const viewFunction: ({ props: { children, className, label }, widgetRef }: LightButton) => any;
export declare type LightButtonPropsType = {
    children?: any;
    className?: string;
    label?: string;
    onClick?: () => void;
};
export declare const LightButtonProps: LightButtonPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface LightButton {
    props: typeof LightButtonProps & RestProps;
    widgetRef: any;
    restAttributes: RestProps;
}
export default function LightButton(props: typeof LightButtonProps & RestProps): any;
export {};
