/**
* DevExtreme (renovation/pager/page-size-large.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { FullPageSize } from "./pager.types.d";
export declare const PAGER_PAGE_SIZE_CLASS = "dx-page-size";
export declare const PAGER_SELECTED_PAGE_SIZE_CLASS: string;
export declare const viewFunction: ({ pageSizesText }: PageSizeLarge) => any;
export declare type PageSizeLargePropsType = {
    pageSize?: number;
    pageSizes: FullPageSize[];
    pageSizeChange: (pageSize: number) => void;
};
export declare const PageSizeLargeProps: PageSizeLargePropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface PageSizeLarge {
    props: typeof PageSizeLargeProps & RestProps;
    pageSizesText: any;
    onPageSizeChange: (processedPageSize: number) => any;
    restAttributes: RestProps;
}
export default function PageSizeLarge(props: typeof PageSizeLargeProps & RestProps): any;
export {};
