/**
* DevExtreme (renovation/pager/page-size-small.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { FullPageSize } from "./pager.types.d";
export declare const PAGER_PAGE_SIZES_CLASS = "dx-page-sizes";
export declare const PAGER_PAGE_SIZE_CLASS = "dx-page-size";
export declare const PAGER_SELECTED_PAGE_SIZE_CLASS: string;
export declare const viewFunction: ({ props: { pageSize, pageSizeChange, pageSizes, rtlEnabled }, width }: PageSizeSmall) => any;
export declare type PageSizeSmallPropsType = {
    parentRef: RefObject<HTMLElement | undefined>;
    pageSize?: number;
    pageSizes: FullPageSize[];
    rtlEnabled?: boolean;
    pageSizeChange: (pageSize: number) => void;
};
export declare const PageSizeSmallProps: PageSizeSmallPropsType;
import { RefObject } from "preact/hooks";
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface PageSizeSmall {
    props: typeof PageSizeSmallProps & RestProps;
    minWidth: any;
    width: number;
    restAttributes: RestProps;
}
export default function PageSizeSmall(props: typeof PageSizeSmallProps & RestProps): any;
export {};
