/**
* DevExtreme (renovation/pager/page.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare const viewFunction: ({ className, label, props: { onClick }, value }: Page) => any;
export declare type PagePropsType = {
    index: any;
    onClick?: () => void;
    selected?: any;
    className?: string;
};
export declare const PageProps: PagePropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface Page {
    props: typeof PageProps & RestProps;
    label: string;
    value: number;
    className: string;
    restAttributes: RestProps;
}
export default function Page(props: typeof PageProps & RestProps): any;
export {};
