/**
* DevExtreme (renovation/pager/pager-content.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import PagerProps from "./pager-props.p";
export declare const viewFunction: ({ className, infoVisible, isLargeDisplayMode, pagesContainerVisibility, pagesContainerVisible, props: { infoText, infoTextRef, maxPagesCount, pageCount, pageIndex, pageIndexChange, pageSize, pageSizeChange, pageSizes, pageSizesRef, pagesCountText, pagesRef, parentRef, rtlEnabled, showNavigationButtons, showPageSizes, totalCount }, restAttributes }: PagerContentComponent) => any;
export declare type PagerContentPropsType = typeof PagerProps & {
    pageIndexChange: (pageIndex: number) => void;
    pageSizeChange: (pageSize: number) => void;
    infoTextVisible: any;
    isLargeDisplayMode: any;
    pageSizesRef: any;
    parentRef: any;
    pagesRef: any;
    infoTextRef: any;
};
export declare const PagerContentProps: PagerContentPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface PagerContentComponent {
    props: typeof PagerContentProps & RestProps;
    infoVisible: boolean;
    pagesContainerVisible: boolean;
    pagesContainerVisibility: "hidden" | undefined;
    isLargeDisplayMode: boolean;
    className: string;
    restAttributes: RestProps;
}
export default function PagerContentComponent(props: typeof PagerContentProps & RestProps): any;
export {};
