/**
* DevExtreme (renovation/pager/pager-props.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export declare type PagerPropsType = {
    showInfo?: boolean;
    infoText?: string;
    lightModeEnabled?: boolean;
    maxPagesCount?: number;
    pageCount?: number;
    pagesCountText?: string;
    visible?: boolean;
    pagesNavigatorVisible?: boolean | "auto";
    pageIndex?: number;
    pageSize?: number;
    showPageSizes?: any;
    pageSizes?: number[];
    rtlEnabled?: boolean;
    showNavigationButtons?: boolean;
    totalCount?: number;
    defaultPageIndex?: number;
    pageIndexChange?: (pageIndex: number) => void;
    defaultPageSize?: number;
    pageSizeChange?: (pageSize: number) => void;
};
declare const PagerProps: PagerPropsType;
export default PagerProps;
