/**
* DevExtreme (renovation/scheduler/appointment-tooltip/item-layout.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { dxSchedulerAppointment } from "../../../ui/scheduler";
import { AppointmentItem, FormattedContent } from "./types.p";
export declare const viewFunction: (viewModel: TooltipItemLayout) => any;
export declare type TooltipItemLayoutPropsType = {
    className?: string;
    item?: AppointmentItem;
    index?: number;
    container?: HTMLDivElement;
    showDeleteButton?: boolean;
    itemContentTemplate?: any;
    onDelete?: (data?: dxSchedulerAppointment, currentData?: dxSchedulerAppointment) => void;
    onHide?: () => void;
    getTextAndFormatDate?: (data?: dxSchedulerAppointment, currentData?: dxSchedulerAppointment) => any;
    singleAppointmentData?: dxSchedulerAppointment;
    itemContentRender?: any;
    itemContentComponent?: any;
};
export declare const TooltipItemLayoutProps: TooltipItemLayoutPropsType;
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface TooltipItemLayout {
    props: typeof TooltipItemLayoutProps & RestProps;
    currentAppointment: dxSchedulerAppointment;
    onDeleteButtonClick: (e: any) => void;
    formattedContent: FormattedContent;
    restAttributes: RestProps;
}
export default function TooltipItemLayout(props: typeof TooltipItemLayoutProps & RestProps): any;
export {};
