/**
* DevExtreme (renovation/widget.p.d.ts)
* Version: 20.2.0 (build 20182-0310)
* Build date: Tue Jun 30 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import "../events/click";
import "../events/hover";
import BaseWidgetProps from "./utils/base-props.p";
export declare const viewFunction: (viewModel: Widget) => any;
export declare type WidgetPropsType = typeof BaseWidgetProps & {
    _feedbackHideTimeout?: number;
    _feedbackShowTimeout?: number;
    activeStateUnit?: string;
    aria?: any;
    children?: any;
    classes?: string | undefined;
    className?: string;
    name?: string;
    onActive?: (e: any) => any;
    onDimensionChanged?: () => any;
    onInactive?: (e: any) => any;
    onKeyboardHandled?: (args: any) => any | undefined;
    onVisibilityChange?: (args: boolean) => undefined;
};
export declare const WidgetProps: WidgetPropsType;
export declare type WidgetRef = {
    focus: () => any;
};
declare type RestProps = {
    className?: string;
    style?: {
        [name: string]: any;
    };
    [x: string]: any;
};
interface Widget {
    props: typeof WidgetProps & RestProps;
    active: any;
    focused: any;
    hovered: any;
    widgetRef: any;
    attributes: any;
    styles: any;
    cssClasses: any;
    tabIndex: any;
    restAttributes: RestProps;
}
declare const Widget: any;
export default Widget;
